import config from '@/common/config.js';
// 1. 导入 Vue 和 Vuex
import Vue from 'vue';
// uniapp 已默认安装，不需要重新下载
import Vuex from 'vuex';

// 2. 安装 Vuex 插件
Vue.use(Vuex);
// 3. 创建 store 实例
const store = new Vuex.Store({
	state: {
		token: uni.getStorageSync('token') || '',
		user:uni.getStorageSync('user')? JSON.parse(uni.getStorageSync('user')):'', // 用户信息
		// env: process.env || {}, // 环境配置文件
		ucLoginUrl: '', // 用户中心登录接口-拿用户信息
		baseUrl:config.baseUrl // 建协云后端接口
	},
	mutations: {
		token(state, payload) {
			state.token = payload
		},
		user(state, payload) {
			state.user = payload
		}
	},
	getters: {},
	actions: {},
	modules: {}
});
export default store;
